---
title: OffscreenCanvas.transferToImageBitmap()
slug: Web/API/OffscreenCanvas/transferToImageBitmap
tags:
  - API
  - Canvas
  - Experimental
  - Method
  - OffscreenCanvas
  - Reference
---
<div>{{APIRef("Canvas API")}} {{SeeCompatTable}}</div>

<p>The <strong><code>OffscreenCanvas.transferToImageBitmap()</code></strong> method creates an {{domxref("ImageBitmap")}} object from the most recently rendered image of the <code>OffscreenCanvas</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">ImageBitmap OffscreenCanvas.transferToImageBitmap()</pre>

<h3 id="Return_value">Return value</h3>

<p>An {{domxref("ImageBitmap")}}.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var offscreen = new OffscreenCanvas(256, 256);
var gl = offscreen.getContext("webgl");

// ... some drawing using the gl context ...

offscreen.transferToImageBitmap();
// ImageBitmap { width: 256, height: 256 }</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#dom-offscreencanvas-transfertoimagebitmap", "OffscreenCanvas.transferToImageBitmap()")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.OffscreenCanvas.transferToImageBitmap")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The interface defining this method, {{domxref("OffscreenCanvas")}}</li>
 <li>{{domxref("ImageBitmapRenderingContext.transferImageBitmap()")}}</li>
</ul>
